complexType "PositionMatchResult"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-reconciliation-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | status?, ((assertedPosition?, proposedMatch*) | allegedPosition)?
</...>

Content Model Elements (4):

  allegedPosition, assertedPosition, | proposedMatch (in positionMatchResult), status (in positionMatchResult)

All Direct / Indirect Based Elements (1):

  positionMatchResult

Known Usage Locations

- As direct type of elements (1):
  positionMatchResult

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="PositionMatchResult"> <xsd:sequence> <xsd:element minOccurs="0" name="status" type="EventStatus"/> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element minOccurs="0" name="assertedPosition" type="AssertedPosition"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="proposedMatch" type="PositionProposedMatch"/> </xsd:sequence> <xsd:element name="allegedPosition" type="AssertedPosition"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
allegedPosition

  Type: | AssertedPosition, complex content

  Position asserted by the "other side's" party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="allegedPosition" type="AssertedPosition"/>

assertedPosition

  Type: | AssertedPosition, complex content

  Position asserted by one of the parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="assertedPosition" type="AssertedPosition"/>

proposedMatch

  Type: | PositionProposedMatch, complex content

  "Other side's" position that meets the minimimum matching criteria and is proposed as match to the position that is being asserted.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="proposedMatch" type="PositionProposedMatch"/>

status

  Type: | EventStatus, simple content

  Reconciliation status of the position.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="status" type="EventStatus"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.